Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 281716 - qt-gui +aqua doesn't build
Summary: qt-gui +aqua doesn't build
Status: RESOLVED INVALID
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All OS X
: High normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-16 21:09 UTC by Simone Scanzoni
Modified: 2010-03-26 19:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simone Scanzoni 2009-08-16 21:09:25 UTC
I built dev-cpp/tree and dev-cpp/muParser using ecopy.
I built gl2ps using ecopy and a little change to the ebuild:

--- /Users/imhungry/Gentoo/x11-libs/gl2ps/gl2ps-1.3.3.ebuild	2009-08-16 21:59:44 +0200
+++ gl2ps-1.3.3.ebuild	2009-08-16 22:00:33 +0200
@@ -19,14 +19,26 @@
 src_compile() {
 	$(tc-getCC) ${CFLAGS} -fPIC -c gl2ps.c -o gl2ps.o \
 		|| die "compiling gl2ps failed"
+	if ( use x86-macos || x64-macos ) ; then
+	$(tc-getCC) -dynamiclib ${LDFLAGS} \
+		-Wl,-install_name,"${EPREFIX}/usr/$(get_libdir)/libgl2ps.1.dylib" \
+		gl2ps.o -o libgl2ps.1.dylib -lm -lGL -lGLU -lglut \
+		|| die "linking libgl2ps failed"
+	else
 	$(tc-getCC) -shared ${LDFLAGS} -Wl,-soname,libgl2ps.so.1 \
 		gl2ps.o -o libgl2ps.so.1 -lm -lGL -lGLU -lglut \
 		|| die "linking libgl2ps failed"
+	fi
 }
 
 src_install () {
-	dolib.so libgl2ps.so.1 || die
-	dosym libgl2ps.so.1 /usr/$(get_libdir)/libgl2ps.so
+	if ( use x86-macos || x64-macos ) ; then
+		dolib.so libgl2ps.1.dylib || die
+		dosym libgl2ps.1.dylib /usr/$(get_libdir)/libgl2ps.dylib
+	else
+		dolib.so libgl2ps.so.1 || die
+		dosym libgl2ps.so.1 /usr/$(get_libdir)/libgl2ps.so
+	fi
 	insinto /usr/include
 	doins gl2ps.h || die
 	dodoc TODO

emerge --info :
Portage 2.2.00.13878-prefix (prefix/darwin/macos/10.5/x86, gcc-4.2.1, unavailable, 9.8.0 i386)
=================================================================
System uname: Darwin-9.8.0-i386-32bit
Timestamp of tree: Sun, 16 Aug 2009 15:32:26 +0000
distcc 2.18.5-Apple.1 i386-apple-darwin9.0 (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     4.0_p28
dev-lang/python:     2.6.2-r01.1
sys-devel/autoconf:  2.63-r01.1
sys-devel/automake:  1.10.2-r00.1, 1.11
sys-devel/gcc-config: 1.4.1-r00.2
sys-devel/libtool:   2.2.6a-r00.1
ACCEPT_KEYWORDS="~x86-macos"
CBUILD="i686-apple-darwin9"
CFLAGS="-mmacosx-version-min=10.5.8 -Os -fgcse-after-reload -fomit-frame-pointer -mfpmath=sse -pipe -fprefetch-loop-arrays -march=core2"
CHOST="i686-apple-darwin9"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-mmacosx-version-min=10.5.8 -Os -fgcse-after-reload -fomit-frame-pointer -mfpmath=sse -pipe -fprefetch-loop-arrays -march=core2"
DISTDIR="/Volumes/Gentoo/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages nostrip parallel-fetch preserve-libs protect-owned sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS=""
LINGUAS="it"
MAKEOPTS="-j3"
PKGDIR="/Volumes/Gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/Volumes/Gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/Volumes/Gentoo/var/tmp"
PORTDIR="/Volumes/Gentoo/usr/portage"
PORTDIR_OVERLAY="/Volumes/Gentoo/usr/local/portage"
SYNC="rsync://rsync.eu.prefix.freens.org/gentoo-portage-prefix"
USE="X aqua bash-completion coreaudio cracklib dri hpn ithreads lzma mmx mmxext ncurses nls nptl objc objc++ opengl prefix qt3support readline sse sse2 sse3 ssl ssse3 svg unicode vim-syntax x86-macos xcb zlib" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="Darwin" INPUT_DEVICES="keyboard mouse" KERNEL="Darwin" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

I was trying to build all the dependencies of sci-visualization/qtiplot but qt-gui doesn't build, I think there's something wrong between XQuartz 2.4.0 and qt-4.5.2, I got:
kernel/qt_cocoa_helpers_mac.mm: In function ‘void qt_dispatchTabletProximityEvent(const TabletProximityRec&)’:
kernel/qt_cocoa_helpers_mac.mm:345: error: ‘NSUnknownPointingDevice’ was not declared in this scope
kernel/qt_cocoa_helpers_mac.mm:349: error: ‘NSPenPointingDevice’ was not declared in this scope
kernel/qt_cocoa_helpers_mac.mm:352: error: ‘NSCursorPointingDevice’ was not declared in this scope
kernel/qt_cocoa_helpers_mac.mm:355: error: ‘NSEraserPointingDevice’ was not declared in this scope
kernel/qt_cocoa_helpers_mac.mm: In function ‘void qt_mac_updateContentBorderMetricts(void*, const HIContentBorderMetrics&)’:
kernel/qt_cocoa_helpers_mac.mm:1050: warning: unused variable ‘theWindow’
kernel/qt_cocoa_helpers_mac.mm: In function ‘void qt_syncCocoaTitleBarButtons(OpaqueWindowPtr*, QWidget*)’:
kernel/qt_cocoa_helpers_mac.mm:1093: warning: invalid receiver type ‘OSWindowRef’
kernel/qt_cocoa_helpers_mac.mm:1098: warning: invalid receiver type ‘OSWindowRef’
kernel/qt_cocoa_helpers_mac.mm:1102: warning: invalid receiver type ‘OSWindowRef’
kernel/qt_cocoa_helpers_mac.mm:1107: warning: invalid receiver type ‘OSWindowRef’
kernel/qt_cocoa_helpers_mac.mm:1107: warning: no ‘-setShowsToolbarButton:’ method found
kernel/qt_cocoa_helpers_mac.mm:1107: warning: (Messages without a matching method signature
kernel/qt_cocoa_helpers_mac.mm:1107: warning: will be assumed to return ‘id’ and accept
kernel/qt_cocoa_helpers_mac.mm:1107: warning: ‘...’ as arguments.)
make[1]: *** [.obj/release-shared/qt_cocoa_helpers_mac.o] Error 1
make[1]: *** Waiting for unfinished jobs....
kernel/qeventdispatcher_mac.mm: In member function ‘virtual bool QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)’:
kernel/qeventdispatcher_mac.mm:646: warning: suggest a space before ‘;’ or explicit braces around empty body in ‘while’ statement
make[1]: Leaving directory `/Volumes/Gentoo/var/tmp/portage/x11-libs/qt-gui-4.5.2-r2/work/qt-mac-opensource-src-4.5.2/src/gui'
make: *** [release] Error 2
Comment 1 Fabian Groffen gentoo-dev 2009-08-19 15:51:51 UTC
I added dev-cpp/tree, dev-cpp/muParser and x11-libs/gl2ps, thanks for your patch.  Please have a look at the gl2ps that I committed for a few changes: 1) be more general to select a darwin platform, 2) avoid conditionals with get_libname from mulitlib eclass.
Comment 2 Simone Scanzoni 2009-08-21 23:34:17 UTC
(In reply to comment #1)
> I added dev-cpp/tree, dev-cpp/muParser and x11-libs/gl2ps, thanks for your
> patch.  Please have a look at the gl2ps that I committed for a few changes: 1)
> be more general to select a darwin platform, 2) avoid conditionals with
> get_libname from mulitlib eclass.
> 

I looked at the gl2ps you committed and learnt, thank you!
Comment 3 Ramon 2009-10-19 22:11:24 UTC
From the bug this appears fixed ? Close ?
Comment 4 Simone Scanzoni 2009-10-23 18:42:03 UTC
I just discovered that the problem is somewhere else, I still can't build qt-gui but I can't spot the real problem. I will investigate.
Comment 5 Simone Scanzoni 2010-03-24 14:48:46 UTC
I solved my problem. In my C(XX)FLAGS I had -mmacosx-version-min=10.5.8 . When I changed it to be -mmacosx-version-min=10.5 qt-gui was built correctly. I don't know if it's the case to filter the flag in the ebuild.
Comment 6 Fabian Groffen gentoo-dev 2010-03-24 14:51:06 UTC
Why do you have this flag?  It is already set automatically for you by the Prefix toolchain.
Comment 7 Simone Scanzoni 2010-03-26 19:25:50 UTC
(In reply to comment #6)
> Why do you have this flag?  It is already set automatically for you by the
> Prefix toolchain.
> 

I didn't know. :) I thought that telling the compiler the exact version (10.5.8) couldn't hurt, it never did before, but I was wrong. Now I'll let the toolchain set it to 10.5 for me.
Thank you!